<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="MilterReader">
<refmeta>
<refentrytitle role="top_of_page" id="MilterReader.top_of_page">MilterReader</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterReader</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="MilterReader.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-READER-ERROR:CAPS">MILTER_READER_ERROR</link>
enum                <link linkend="MilterReaderError">MilterReaderError</link>;
                    <link linkend="MilterReader-struct">MilterReader</link>;
<link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              <link linkend="milter-reader-error-quark">milter_reader_error_quark</link>           (void);
<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *      <link linkend="milter-reader-io-channel-new">milter_reader_io_channel_new</link>        (<link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *channel);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reader-start">milter_reader_start</link>                 (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-reader-is-watching">milter_reader_is_watching</link>           (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-reader-shutdown">milter_reader_shutdown</link>              (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);
</synopsis>
</refsynopsisdiv>
<refsect1 id="MilterReader.object-hierarchy" role="object_hierarchy">
<title role="object_hierarchy.title">オブジェクト階層</title>
<synopsis>
  <link linkend="GObject">GObject</link>
   +----MilterReader
</synopsis>
</refsect1>
<refsect1 id="MilterReader.implemented-interfaces" role="impl_interfaces">
<title role="impl_interfaces.title">実装されたインターフェイス</title>
<para>MilterReaderは<link linkend="MilterErrorEmittable">MilterErrorEmittable</link>と<link linkend="MilterFinishedEmittable">MilterFinishedEmittable</link>を実装しています。</para>
</refsect1>

<refsect1 id="MilterReader.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="MilterReader.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-READER-ERROR:CAPS" role="macro">
<title>MILTER_READER_ERROR</title>
<indexterm zone="MILTER-READER-ERROR:CAPS"><primary>MILTER_READER_ERROR</primary></indexterm>
<programlisting>#define MILTER_READER_ERROR           (milter_reader_error_quark())
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterReaderError" role="enum">
<title>enum MilterReaderError</title>
<indexterm zone="MilterReaderError"><primary>MilterReaderError</primary></indexterm>
<programlisting>typedef enum
{
    MILTER_READER_ERROR_NO_CHANNEL,
    MILTER_READER_ERROR_IO_ERROR
} MilterReaderError;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterReader-struct" role="struct">
<title>MilterReader</title>
<indexterm zone="MilterReader-struct"><primary>MilterReader</primary></indexterm>
<programlisting>typedef struct _MilterReader MilterReader;</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-reader-error-quark" role="function">
<title>milter_reader_error_quark ()</title>
<indexterm zone="milter-reader-error-quark"><primary>milter_reader_error_quark</primary></indexterm>
<programlisting><link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              milter_reader_error_quark           (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reader-io-channel-new" role="function">
<title>milter_reader_io_channel_new ()</title>
<indexterm zone="milter-reader-io-channel-new"><primary>milter_reader_io_channel_new</primary></indexterm>
<programlisting><link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *      milter_reader_io_channel_new        (<link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *channel);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reader-start" role="function">
<title>milter_reader_start ()</title>
<indexterm zone="milter-reader-start"><primary>milter_reader_start</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reader_start                 (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>reader</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reader-is-watching" role="function">
<title>milter_reader_is_watching ()</title>
<indexterm zone="milter-reader-is-watching"><primary>milter_reader_is_watching</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_reader_is_watching           (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>reader</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-reader-shutdown" role="function">
<title>milter_reader_shutdown ()</title>
<indexterm zone="milter-reader-shutdown"><primary>milter_reader_shutdown</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_reader_shutdown              (<link linkend="MilterReader"><returnvalue>MilterReader</returnvalue></link> *reader);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>reader</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
